package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.simuwang.base.pojo.vo.FundAliasVO;
import lombok.Data;

import java.util.Date;

@Data
public class FundAliasDO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 邮件解析基金名称
     */
    private String sourceFundName;
    /**
     * 邮件解析基金的备案编码
     */
    private String sourceRegisterNumber;
    /**
     * 匹配的源数据基金名称
     */
    private String targetFundName;
    /**
     * 匹配的源基金ID
     */
    private String targetFundId;
    /**
     * 匹配的源备案编码
     */
    private String targetRegisterNumber;
    /**
     * 匹配的源备案编码
     */
    private String companyName;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;
    /**
     * 创建者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer creatorId;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    private Integer updaterId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private Date createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private Date updateTime;

    public FundAliasVO toVo() {
        FundAliasVO fundAliasVO = new FundAliasVO();
        fundAliasVO.setId(this.id);
        fundAliasVO.setSourceFundName(this.sourceFundName);
        fundAliasVO.setSourceRegisterNumber(this.sourceRegisterNumber);
        fundAliasVO.setTargetFundId(this.targetFundId);
        fundAliasVO.setTargetFundName(this.targetFundName);
        fundAliasVO.setTargetRegisterNumber(this.targetRegisterNumber);
        fundAliasVO.setCompanyName(this.companyName);
        return fundAliasVO;
    }
}